summaryrefslogtreecommitdiffstats
path: root/bin/chroot-installation.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-02-25 22:39:49 +0100
committerHolger Levsen <holger@layer-acht.org>2015-02-25 22:39:49 +0100
commit948a5b82a87b06a243d98a9272622f65581b95f4 (patch)
tree8f3efc5641f63b3f5a8c129b55eff3ec0f8f79eb /bin/chroot-installation.sh
parent5161633ac58883b9a19ce1aa1a9ef93a2bbc26bf (diff)
downloadjenkins.debian.net-948a5b82a87b06a243d98a9272622f65581b95f4.tar.xz
chroot-installation: catch a second type of network failures
Diffstat (limited to 'bin/chroot-installation.sh')
-rwxr-xr-xbin/chroot-installation.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index fd6dcb2d..47b48d68 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -56,7 +56,7 @@ execute_ctmpfile() {
(sudo chroot $CHROOT_TARGET $TMPFILE 2>&1 | tee $TMPLOG) || true
RESULT=$(grep "xxxxxSUCCESSxxxxx" $TMPLOG || true)
if [ -z "$RESULT" ] ; then
- RESULT=$(egrep "Failed to fetch.*Unable to connect to" $TMPLOG || true)
+ RESULT=$(egrep "Failed to fetch.*(Unable to connect to|Connection failed)" $TMPLOG || true)
if [ ! -z "$RESULT" ] ; then
echo
echo "Warning: Network problem detected."